Chuyển đến nội dung
Diễn đàn CADViet
  • Thông báo

    • Nguyen Hoanh

      CADViet đã hoàn tất nâng cấp   14/09/2017

      Chào các bạn, CADViet đã hoàn tất việc nâng cấp lên phiên bản mới. Tất cả các chức năng đã hoạt động theo kỳ vọng của ban quản trị. Nếu có vấn đề gì cần phản hồi, các bản post ở đây nhé: Trân trọng, Nguyễn Hoành.
Đăng nhập để thực hiện theo  
nguoithoxay

Muốn chập 2 hay nhiều layer làm 1 thì làm thế nào

Các bài được khuyến nghị

nguoithoxay    3

Gặp bản vẽ nhiều layer lộn xộn quá e muốn chập vào thì làm thế nào, ví dụ đặt 1 layer gốc rồi đổi các layer khác chập vào layer gốc -> các thuộc tính của layer khác đổi thành layer gốc duy nhất.

Mong các cao thủ chỉ giáo dùm

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Gặp bản vẽ nhiều layer lộn xộn quá e muốn chập vào thì làm thế nào, ví dụ đặt 1 layer gốc rồi đổi các layer khác chập vào layer gốc -> các thuộc tính của layer khác đổi thành layer gốc duy nhất.

Mong các cao thủ chỉ giáo dùm

Bạn thử dùng lệnh LAYMRG xem có đúng ý bạn kô. nhập các layer vào 1 layer mà bạn muốn!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Nguyen Hoanh    4.524
Gặp bản vẽ nhiều layer lộn xộn quá e muốn chập vào thì làm thế nào, ví dụ đặt 1 layer gốc rồi đổi các layer khác chập vào layer gốc -> các thuộc tính của layer khác đổi thành layer gốc duy nhất.

Mong các cao thủ chỉ giáo dùm

bạn dùng lệnh laytrans

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Thanks bác đã làm đc rồi, liệu Dim hoặc Text có thể làm theo cách tương tự đc không

Đây là líp mình sưu tầm được

;;; Command Active:
;;; Chuyen toan bo Dim sang Layer "_Dim":
(defun C:CDLA (/ dim_app)
(setvar "Cmdecho" 0)
(setq dim_app(ssget "X" '((0 . "DIMENSION")) ))
(if dim_app
 (progn
   (M_lay "_Dim");Tao Layer Dim neu chua co
   (command "_.Chprop" dim_app "" "LA" "Dim" "")
 )
 (prompt "\nHien tai, khong co Dim.")
)
(princ)
)
;;; Chuyen toan bo cac doi tuong ve Layer tuong ung voi mau:
(defun C:COLA (/ op_ccl sl_op op_find cl_find en_find)
(setvar "Cmdecho" 0)
(setq op_ccl(ssget "X"))
(if op_ccl
 (progn
  (setq sl_op (sslength op_ccl) next_op 0)
  (while (		  (setq op_find(ssname op_ccl next_op)
			en_find(entget op_find)
			cl_find(cdr(assoc 62 en_find)) )
	  (if (and (numberp cl_find) (			  (progn (M_lay_c (itoa cl_find) cl_find)
				 (command "_.Chprop" op_find "" "LA" (itoa cl_find) 
												 "C" "Bylayer" "")
		  )
	  )
	  (setq next_op(+ next_op 1) cl_find NIL en_find NIL)
  )
  (setq next_op NIL cl_find NIL)
 )
)
(princ)
)
;;; Chuyen toan bo Text -> Text Layer:
(defun C:CTLA (/ Text_app)
(setvar "Cmdecho" 0)
(setq Text_app(ssget "X" '((0 . "*Text")) ))
(if Text_app
 (progn
   (M_lay_c "_Text" "3");Tao Layer _Text neu chua co
   (command "_.Chprop" Text_app "" "LA" "_Text" "C" "Bylayer" "")
 )
 (prompt "\nHien tai, khong co Texts.")
)
(princ)
)
;;; Chuyen toan bo Blocks ve Layer _Blocks
(defun C:CBLA (/ blk_app)
(setvar "Cmdecho" 0)
(setq blk_app(ssget "X" '((0 . "INSERT")) ))
(if blk_app
 (progn
   (M_lay "_Blocks");Tao Layer _Blocks neu chua co
   (command "_.Chprop" blk_app "" "LA" "Blocks" "")
 )
 (prompt "\nKhong co Blocks nao duoc Insert.")
)
(princ)
)
;;; Chuyen toan bo Hatch ve Layer _Hatch
(defun C:CHLA (/ hat_app)
(setvar "Cmdecho" 0)
(setq hat_app(ssget "X" '((0 . "Hatch")) ))
(if hat_app
 (progn
   (M_lay "_Hatch");Tao Layer _Hatch neu chua co
   (command "_.Chprop" hat_app "" "LA" "_Hatch" "")
 )
 (prompt "\nKhong co vat lieu Hatch.")
)
(princ)
)

.

Bạn thử xem nhé.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442
Đây là líp mình sưu tầm được

;;; Command Active:
;;; Chuyen toan bo Dim sang Layer "_Dim":
(defun C:CDLA (/ dim_app)
........
   (M_lay "_Dim");Tao Layer Dim neu chua co
.............
)
;;; Chuyen toan bo cac doi tuong ve Layer tuong ung voi mau:
(defun C:COLA (/ op_ccl sl_op op_find cl_find en_find)
......................
		  (progn (M_lay_c (itoa cl_find) cl_find)
..............................
)
;;; Chuyen toan bo Text -> Text Layer:
(defun C:CTLA (/ Text_app)
....................
   (M_lay_c "_Text" "3");Tao Layer _Text neu chua co
....................
)
;;; Chuyen toan bo Blocks ve Layer _Blocks
(defun C:CBLA (/ blk_app)
..................
   (M_lay "_Blocks");Tao Layer _Blocks neu chua co
......................
)
;;; Chuyen toan bo Hatch ve Layer _Hatch
(defun C:CHLA (/ hat_app)
...........................
   (M_lay "_Hatch");Tao Layer _Hatch neu chua co
.........................
)

.

Bạn thử xem nhé.

 

Bạn vui lòng bổ sung hai hàm : M_lay M_lay_c .

Thanks.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
Tue_NV    3.841
Bạn vui lòng bổ sung hai hàm : M_lay M_lay_c .

Thanks.

Xin lỗi, hai hàm đó đay anh gia bách ạ.

;;; Tao Layer khong co mau:
(defun M_Lay(layr_name / tbl t1 t2 key)
  (setq tbl(tblnext "LAYER" 1))
  (while tbl
  (setq t1(strcase layr_name) t2 (cdr(car(cdr tbl))) )
  (if (equal t1 t2) (setq key 1))  
  (setq tbl(tblnext "LAYER"))
  )  
  (if(/= key 1)
  (progn (setq tbl NIL ) 
	 (command "_.LAYER" "N" layr_name "" ) 
	 (princ (strcat "\nLayer "layr_name".... was created."))
  )
  )
  (setq layr_name NIL)
  (princ)
)
;;; Tao Layer co mau:
(defun M_Lay_c(layr_name color / tbl t1 t2 key)
(setvar "Cmdecho" 0)
  (setq tbl(tblnext "LAYER" 1))
  (while tbl
  (setq t1(strcase layr_name) t2 (cdr(car(cdr tbl))) )
  (if (equal t1 t2) (setq key 1))  
  (setq tbl(tblnext "LAYER"))
  )  
  (if(/= key 1)
  (progn (setq tbl NIL ) 
	 (command "_.LAYER" "N" layr_name "C" color layr_name "" ) 
	 (princ (strcat "\nLayer "layr_name".... was created."))
  )
  )
  (setq layr_name NIL)
  (princ)
)
;;; Command Active:
;;; Chuyen toan bo Dim sang Layer "_Dim":
(defun C:CDL (/ dim_app)
(setvar "Cmdecho" 0)
(setq dim_app(ssget "X" '((0 . "DIMENSION")) ))
(if dim_app
 (progn
   (M_lay "_Dim");Tao Layer Dim neu chua co
   (command "_.Chprop" dim_app "" "LA" "_Dim" "")
 )
 (prompt "\nHien tai, khong co Dim.")
)
(princ)
)
;;; Chuyen toan bo cac doi tuong ve Layer tuong ung voi mau:
(defun C:COL (/ op_ccl sl_op op_find cl_find en_find)
(setvar "Cmdecho" 0)
(setq op_ccl(ssget "X"))
(if op_ccl
 (progn
  (setq sl_op (sslength op_ccl) next_op 0)
  (while (		  (setq op_find(ssname op_ccl next_op)
			en_find(entget op_find)
			cl_find(cdr(assoc 62 en_find)) )
	  (if (and (numberp cl_find) (			  (progn (M_lay_c (itoa cl_find) cl_find)
				 (command "_.Chprop" op_find "" "LA" (itoa cl_find) 
												 "C" "Bylayer" "")
		  )
	  )
	  (setq next_op(+ next_op 1) cl_find NIL en_find NIL)
  )
  (setq next_op NIL cl_find NIL)
 )
)
(princ)
)
;;; Chuyen toan bo Text -> Text Layer:
(defun C:CTL (/ Text_app)
(setvar "Cmdecho" 0)
(setq Text_app(ssget "X" '((0 . "*Text")) ))
(if Text_app
 (progn
   (M_lay_c "_Text" "4");Tao Layer _Text neu chua co
   (command "_.Chprop" Text_app "" "LA" "_Text" "C" "Bylayer" "")
 )
 (prompt "\nHien tai, khong co Texts.")
)
(princ)
)
;;; Chuyen toan bo Blocks ve Layer _Blocks
(defun C:CBLL (/ blk_app)
(setvar "Cmdecho" 0)
(setq blk_app(ssget "X" '((0 . "INSERT")) ))
(if blk_app
 (progn
   (M_lay "_Blocks");Tao Layer _Blocks neu chua co
   (command "_.Chprop" blk_app "" "LA" "_Blocks" "")
 )
 (prompt "\nKhong co Blocks nao duoc Insert.")
)
(princ)
)
;;; Chuyen toan bo Hatch ve Layer _Hatch
(defun C:CHL (/ hat_app)
(setvar "Cmdecho" 0)
(setq hat_app(ssget "X" '((0 . "Hatch")) ))
(if hat_app
 (progn
   (M_lay "_Hatch");Tao Layer _Hatch neu chua co
   (command "_.Chprop" hat_app "" "LA" "_Hatch" "")
 )
 (prompt "\nKhong co vat lieu Hatch.")
)
(princ)
)

Tiện thể, xin hỏi anh giabach có hàm nào mà khi pick vào dimension thì trả về được một giá trị chính là giá trị số text ghi trên dimension đó hay không?

Cám ơn anh.

Chúc anh thật nhiều sức khỏe.

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác
gia_bach    1.442
..................

Tiện thể, xin hỏi anh giabach có hàm nào mà khi pick vào dimension thì trả về được một giá trị chính là giá trị số text ghi trên dimension đó hay không?

....................

Bạn tham khảo ở đây : http://www.cadviet.com/forum/index.php?s=&...ost&p=37134

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×